#!/usr/bin/python

from sys import argv, stdin, exit

assert len(argv)==4, "correct usage: %s input our_output contestants_output" % argv[0]

input_data = [ int(x) for x in open(argv[1],'r').read().split() ]
our_output_data = [ int(x) for x in open(argv[2],'r').read().split() ]
their_output_data = [ x for x in open(argv[3],'r').read().split() ]

N, K, A, best = input_data[0], input_data[-1], input_data[1:-1], our_output_data[0]

try:
    try:    their_output_data = [ int(x) for x in their_output_data ]
    except: assert False, "Vystup obsahuje token iny ako cele cislo"

    assert len(their_output_data)==N+1, "Vystup neobsahuje spravny pocet celych cisel"

    assert best == their_output_data[0], "Celkovy pocet kapsul nie je optimalny"

    B = their_output_data[1:]
    assert best == sum(B), "Sucet jednotlivych poctov kapsul sa nerovna celkovemu poctu"

    for b in B: assert b>=0, "Pocty kapsul nesmu byt zaporne"

    items = sum( [ a*b for a,b in zip(A,B) ] )
    assert K == items, "Pocet balickov dopravenych kapsulami nie je presne K"
except BaseException as error_message:
    print error_message
    exit(1)

print "OK"
