#include <iostream>
#include <vector>
#include <numeric>
using namespace std;

int N, K, bestsum;
vector<int> A, B, bestB;

int sum(const vector<int> &V) { return accumulate(V.begin(),V.end(),0); }

void skus(int zostava, int x) {
    if (x==N) {
        if (zostava==0 && sum(B)<bestsum) { bestsum=sum(B); bestB=B; }
    } else {
        for (B[x]=0; A[x]*B[x]<=zostava; ++B[x])
            skus(zostava - A[x]*B[x], x+1);
    }
}

int main() {
    cin >> N;
    A.resize(N);
    for (int n=0; n<N; ++n) cin >> A[n];
    cin >> K;
    bestsum=K+1;
    B.resize(N,0);
    skus(K,0);
    cout << bestsum << endl;
    for (int n=0; n<N; ++n) cout << bestB[n] << (n==N-1 ? "\n" : " ");
}
